This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290203 - Disable gnome-shell-portal-helper
Disable gnome-shell-portal-helper
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 15:36 EST by Rares Vernica
Modified: 2017-07-25 17:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rares Vernica 2015-12-09 15:36:27 EST
Description of problem:

I use a wire network connection. Every time I login into Gnome a window pops up and displays the Gnome homepage. The window belongs to the "/usr/libexec/gnome-shell-portal-helper" process. I would like to disable this window.

Version-Release number of selected component (if applicable):

gnome-shell:
Version     : 3.18.3
Release     : 1.fc23


How reproducible:

Every time


Steps to Reproduce:
1. Login into Gnome

Actual results:
2. Window appears with Gnome homepage.


Expected results:
2. Window should not appear.


Additional info:

I took a bit of investigation to discover what process creates the window since the window title is the Gnome homepage title but "xprop" helped.
Comment 1 Jian Wen 2016-02-15 21:28:51 EST
This bug is really annoying.
Comment 2 Jian Wen 2016-02-15 22:00:59 EST
Here is a workaround:
Set the uri to have no value("uri=") in /etc/NetworkManager/conf.d/20-connectivity-fedora.conf

https://ask.fedoraproject.org/en/question/72535/how-do-i-stopdisable-networkmanager-connecting-to-fedoraprojectorg-every-5-minutes/
Comment 3 Rares Vernica 2016-03-08 19:47:10 EST
I have this:

> cat /etc/NetworkManager/conf.d/20-connectivity-fedora.conf
[connectivity]
uri=
response=OK
interval=300

But the pop-up still shows.
Comment 4 Antoine Martin 2016-07-28 10:49:47 EDT
I am now seeing the same thing with Fedora 24 (two machines) - not seen this before this week, the file /etc/NetworkManager/conf.d/20-connectivity-fedora.conf no longer exists so I cannot test the workaround.
Comment 5 Fedora End Of Life 2016-11-24 09:07:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Josh Stone 2017-05-19 10:18:47 EDT
I want to disable this functionality as well -- it is quite annoying, since it seems to pop up whenever my ISP connection flaps.  It's completely irrelevant to me, since there is no captive portal.  

I cannot find a way to turn it off, so my current workaround is to replace the /usr/libexec/gnome-shell-portal-helper executable with a stub that does nothing.  This isn't very future-proof, though, because I suppose package updates may replace it.  I've turned on the 'i' attribute on the file so a package update will fail and hopefully I'll be able to remember what I did so I can undo it, install the update, and then replace it with the stub again.

I'm surprised there isn't a configurable option somewhere to disable captive portal detection.  The 'gnome-shell-portal-helper' process is a child of systemd, but I can't find anywhere to configure it not to run.  I'm an old-school kind of *nix guy, and systemd is pretty strange to me, though, so I'm not surprised I can't find it.  Seems like there could be a checkbox in the network settings area.

If there's an easy way to configure my system so that it no longer does this, I would love to know.
Comment 7 Fedora End Of Life 2017-07-25 15:37:14 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.